# Changelog

All notable changes to this project will be documented in this file. See [standard-version](https://github.com/conventional-changelog/standard-version) for commit guidelines.

## [1.1.0](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/compare/v1.0.2...v1.1.0) (2023-10-16)

### [1.0.2](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/compare/v1.0.2-pre.0...v1.0.2) (2023-10-16)

### [1.0.2-pre.0](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/compare/v1.0.1...v1.0.2-pre.0) (2023-10-04)

### [1.0.1](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/compare/v0.2.3-pre.5...v1.0.1) (2023-06-29)


### Bug Fixes

* rename pipeline ([2361211](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/23612119032124cd9802e4664ac29525e273c4e2))

## [1.0.0](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/compare/v0.1.26...v1.0.0) (2023-06-06)


### Features

* added feature to turn on or off rules by machine ([2a1bf22](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/2a1bf220fd78baf043adad4ba6be47b116b83b13))
* added select all button to Rules table ([85b3c2d](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/85b3c2d415d53058f6a45d3481ac9ca393e9fef7))
* allow error acknowledge ([ff908ca](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/ff908ca940bf6ec823a660ce31fa7cb5dd1ee6a7))
* auto acknowledge alerts ([f57fd96](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/f57fd9623b8c18461f6498effd585b76cea5dd46))
* MES branding ([1a91c12](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/1a91c12ae858ade56f7404b499f040843ebbaed2))
* ruby 2.7 ([28a8494](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/28a8494597891b6c96d71ae3aefe6daf80c1ac53))


### Bug Fixes

* add actioncable subscription ([f57d81f](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/f57d81f9920618ad8420b71e3c9245866db16399))
* changed not runnin icon to yellow exclamation ([7960727](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/7960727e737593f061bb414dfa423cfabf54a598))
* credentials ([0af6186](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/0af61867d97dcf2d126feb326cedcd970beb6c97))
* enabled auditing, lingui and boot.rb changes ([7a63429](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/7a63429cb8d0ab2975295b1d389a24779b61d283))
* index name too long on PG ([a90bebd](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/a90bebd1ff06eaa2c2b01e5454b7352da813d13e))
* made turn on or off selected alerting rules to function correctly ([81d86e7](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/81d86e7f4bbf2d894a5812a290fac3d3319dec6b))
* rules will now execute on mass update and merges on off. Merged on all and off all button into one tsx file. Fixed so stores would update on mass update ([c3d9f42](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/c3d9f426c790aa422176995df5acfc66ae127865))
* switched switch to turn on or off a rule alert to it's own component and fixed issue where somw rules value disappears on submit ([74609a9](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/74609a9f057ba476b5cb2bfdabc4f784fefb5d48))
* update deps ([693ab06](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/693ab06c452ed2eae8626dc5e54f4a7adb6ca12d))
* updated lingui ([7f0abaa](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/7f0abaa1b9f503867c1c14569103f8f25c774098))

## [1.0.0](https://git.satisloh.dev/rx-suite/modules/optional/alerting/compare/v0.2.3-pre.3...v1.0.0) (2023-05-31)

### [0.2.3-pre.3](https://git.satisloh.dev/rx-suite/modules/optional/alerting/compare/v0.2.3-pre.2...v0.2.3-pre.3) (2023-05-30)

### [0.2.3-pre.5](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/compare/v0.2.3-pre.4...v0.2.3-pre.5) (2023-05-18)


### Bug Fixes

* when multiple alert are sent at once, only the first alert text is used ([1d7cd63](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/1d7cd638e07d866b66bdcdc0d75432921a23a01f))

### [0.2.3-pre.4](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/compare/v0.2.3-pre.3...v0.2.3-pre.4) (2023-05-17)

### [0.2.3-pre.3](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/compare/v0.1.26...v0.2.3-pre.3) (2023-05-17)


### Features

* added feature to turn on or off rules by machine ([2a1bf22](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/2a1bf220fd78baf043adad4ba6be47b116b83b13))
* added select all button to Rules table ([85b3c2d](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/85b3c2d415d53058f6a45d3481ac9ca393e9fef7))
* allow error acknowledge ([ff908ca](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/ff908ca940bf6ec823a660ce31fa7cb5dd1ee6a7))
* auto acknowledge alerts ([f57fd96](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/f57fd9623b8c18461f6498effd585b76cea5dd46))
* MES branding ([1a91c12](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/1a91c12ae858ade56f7404b499f040843ebbaed2))
* ruby 2.7 ([28a8494](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/28a8494597891b6c96d71ae3aefe6daf80c1ac53))


### Bug Fixes

* add actioncable subscription ([f57d81f](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/f57d81f9920618ad8420b71e3c9245866db16399))
* changed not runnin icon to yellow exclamation ([7960727](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/7960727e737593f061bb414dfa423cfabf54a598))
* credentials ([0af6186](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/0af61867d97dcf2d126feb326cedcd970beb6c97))
* enabled auditing, lingui and boot.rb changes ([7a63429](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/7a63429cb8d0ab2975295b1d389a24779b61d283))
* index name too long on PG ([a90bebd](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/a90bebd1ff06eaa2c2b01e5454b7352da813d13e))
* machine alert time is in UTC-0 ([42dfe93](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/42dfe93e32a71d29d4298e63a3461bd6ed5afe0d))
* made turn on or off selected alerting rules to function correctly ([81d86e7](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/81d86e7f4bbf2d894a5812a290fac3d3319dec6b))
* rules will now execute on mass update and merges on off. Merged on all and off all button into one tsx file. Fixed so stores would update on mass update ([c3d9f42](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/c3d9f426c790aa422176995df5acfc66ae127865))
* switched switch to turn on or off a rule alert to it's own component and fixed issue where somw rules value disappears on submit ([74609a9](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/74609a9f057ba476b5cb2bfdabc4f784fefb5d48))
* update deps ([693ab06](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/693ab06c452ed2eae8626dc5e54f4a7adb6ca12d))
* updated lingui ([7f0abaa](https://dev.azure.com/ITRxSolutions/Satisloh-MES/_git/Rx-Alerting/commit/7f0abaa1b9f503867c1c14569103f8f25c774098))

### [0.2.3-pre.2](https://git.satisloh.dev/rx-suite/modules/optional/alerting/compare/v0.2.3-pre.1...v0.2.3-pre.2) (2023-05-12)

### [0.2.3-pre.1](https://git.satisloh.dev/rx-suite/modules/optional/alerting/compare/v0.2.3-pre.0...v0.2.3-pre.1) (2023-05-12)


### Features

* MES branding ([1a91c12](https://git.satisloh.dev/rx-suite/modules/optional/alerting/commit/1a91c12ae858ade56f7404b499f040843ebbaed2))

### [0.2.3-pre.0](https://git.satisloh.dev/rx-suite/modules/optional/alerting/compare/v0.1.26...v0.2.3-pre.0) (2023-05-12)


### Features

* added feature to turn on or off rules by machine ([2a1bf22](https://git.satisloh.dev/rx-suite/modules/optional/alerting/commit/2a1bf220fd78baf043adad4ba6be47b116b83b13))
* added select all button to Rules table ([85b3c2d](https://git.satisloh.dev/rx-suite/modules/optional/alerting/commit/85b3c2d415d53058f6a45d3481ac9ca393e9fef7))
* allow error acknowledge ([ff908ca](https://git.satisloh.dev/rx-suite/modules/optional/alerting/commit/ff908ca940bf6ec823a660ce31fa7cb5dd1ee6a7))
* auto acknowledge alerts ([f57fd96](https://git.satisloh.dev/rx-suite/modules/optional/alerting/commit/f57fd9623b8c18461f6498effd585b76cea5dd46))
* ruby 2.7 ([28a8494](https://git.satisloh.dev/rx-suite/modules/optional/alerting/commit/28a8494597891b6c96d71ae3aefe6daf80c1ac53))


### Bug Fixes

* add actioncable subscription ([f57d81f](https://git.satisloh.dev/rx-suite/modules/optional/alerting/commit/f57d81f9920618ad8420b71e3c9245866db16399))
* changed not runnin icon to yellow exclamation ([7960727](https://git.satisloh.dev/rx-suite/modules/optional/alerting/commit/7960727e737593f061bb414dfa423cfabf54a598))
* credentials ([0af6186](https://git.satisloh.dev/rx-suite/modules/optional/alerting/commit/0af61867d97dcf2d126feb326cedcd970beb6c97))
* enabled auditing, lingui and boot.rb changes ([7a63429](https://git.satisloh.dev/rx-suite/modules/optional/alerting/commit/7a63429cb8d0ab2975295b1d389a24779b61d283))
* index name too long on PG ([a90bebd](https://git.satisloh.dev/rx-suite/modules/optional/alerting/commit/a90bebd1ff06eaa2c2b01e5454b7352da813d13e))
* made turn on or off selected alerting rules to function correctly ([81d86e7](https://git.satisloh.dev/rx-suite/modules/optional/alerting/commit/81d86e7f4bbf2d894a5812a290fac3d3319dec6b))
* rules will now execute on mass update and merges on off. Merged on all and off all button into one tsx file. Fixed so stores would update on mass update ([c3d9f42](https://git.satisloh.dev/rx-suite/modules/optional/alerting/commit/c3d9f426c790aa422176995df5acfc66ae127865))
* switched switch to turn on or off a rule alert to it's own component and fixed issue where somw rules value disappears on submit ([74609a9](https://git.satisloh.dev/rx-suite/modules/optional/alerting/commit/74609a9f057ba476b5cb2bfdabc4f784fefb5d48))
* update deps ([693ab06](https://git.satisloh.dev/rx-suite/modules/optional/alerting/commit/693ab06c452ed2eae8626dc5e54f4a7adb6ca12d))
* updated lingui ([7f0abaa](https://git.satisloh.dev/rx-suite/modules/optional/alerting/commit/7f0abaa1b9f503867c1c14569103f8f25c774098))

### [0.2.2](https://git.satisloh.dev///compare/v0.2.1...v0.2.2) (2022-07-08)

## [0.2.0-pre.1](https://git.satisloh.dev///compare/v0.1.27-pre.3...v0.2.0-pre.1) (2022-07-07)

### [0.1.27-pre.3](https://git.satisloh.dev/rx-suite/modules/optional/alerting/compare/v0.1.27-pre.2...v0.1.27-pre.3) (2022-07-07)

### [0.1.27-pre.2](https://git.satisloh.dev///compare/v0.1.27-pre.1...v0.1.27-pre.2) (2022-07-07)

### [0.1.27-pre.1](https://git.satisloh.dev///compare/v0.1.27-pre.0...v0.1.27-pre.1) (2022-07-07)

### [0.1.27-pre.0](https://git.satisloh.dev/rx-suite/modules/optional/alerting/compare/v0.1.26...v0.1.27-pre.0) (2022-07-07)


### Features

* added feature to turn on or off rules by machine ([2a1bf22](https://git.satisloh.dev/rx-suite/modules/optional/alerting/commit/2a1bf220fd78baf043adad4ba6be47b116b83b13))
* added select all button to Rules table ([85b3c2d](https://git.satisloh.dev/rx-suite/modules/optional/alerting/commit/85b3c2d415d53058f6a45d3481ac9ca393e9fef7))
* allow error acknowledge ([ff908ca](https://git.satisloh.dev/rx-suite/modules/optional/alerting/commit/ff908ca940bf6ec823a660ce31fa7cb5dd1ee6a7))
* auto acknowledge alerts ([f57fd96](https://git.satisloh.dev/rx-suite/modules/optional/alerting/commit/f57fd9623b8c18461f6498effd585b76cea5dd46))
* ruby 2.7 ([28a8494](https://git.satisloh.dev/rx-suite/modules/optional/alerting/commit/28a8494597891b6c96d71ae3aefe6daf80c1ac53))


### Bug Fixes

* add actioncable subscription ([f57d81f](https://git.satisloh.dev/rx-suite/modules/optional/alerting/commit/f57d81f9920618ad8420b71e3c9245866db16399))
* changed not runnin icon to yellow exclamation ([7960727](https://git.satisloh.dev/rx-suite/modules/optional/alerting/commit/7960727e737593f061bb414dfa423cfabf54a598))
* credentials ([0af6186](https://git.satisloh.dev/rx-suite/modules/optional/alerting/commit/0af61867d97dcf2d126feb326cedcd970beb6c97))
* enabled auditing, lingui and boot.rb changes ([7a63429](https://git.satisloh.dev/rx-suite/modules/optional/alerting/commit/7a63429cb8d0ab2975295b1d389a24779b61d283))
* made turn on or off selected alerting rules to function correctly ([81d86e7](https://git.satisloh.dev/rx-suite/modules/optional/alerting/commit/81d86e7f4bbf2d894a5812a290fac3d3319dec6b))
* rules will now execute on mass update and merges on off. Merged on all and off all button into one tsx file. Fixed so stores would update on mass update ([c3d9f42](https://git.satisloh.dev/rx-suite/modules/optional/alerting/commit/c3d9f426c790aa422176995df5acfc66ae127865))
* switched switch to turn on or off a rule alert to it's own component and fixed issue where somw rules value disappears on submit ([74609a9](https://git.satisloh.dev/rx-suite/modules/optional/alerting/commit/74609a9f057ba476b5cb2bfdabc4f784fefb5d48))
* update deps ([693ab06](https://git.satisloh.dev/rx-suite/modules/optional/alerting/commit/693ab06c452ed2eae8626dc5e54f4a7adb6ca12d))
* updated lingui ([7f0abaa](https://git.satisloh.dev/rx-suite/modules/optional/alerting/commit/7f0abaa1b9f503867c1c14569103f8f25c774098))

### [0.1.26](http://omics.dyndns.biz:4747///compare/v0.1.25...v0.1.26) (2020-10-27)


### Bug Fixes

* changed how the machine and machine groups are being retrieved from rx-data to be more efficient ([53ae963](http://omics.dyndns.biz:4747///commit/53ae9632322b544a9b9e6289d5904a8c74ac9f9e))

### [0.1.25](http://omics.dyndns.biz:4747///compare/v0.1.24...v0.1.25) (2020-10-15)


### Bug Fixes

* made Rules the default page ([ccef6f6](http://omics.dyndns.biz:4747///commit/ccef6f6230aabbf8336648d5792ed53b1f7abd12))

### [0.1.24](http://omics.dyndns.biz:4747///compare/v0.1.23...v0.1.24) (2020-10-05)


### Bug Fixes

* changed [@models](http://omics.dyndns.biz:4747/models).klass.count to [@count](http://omics.dyndns.biz:4747/count) in index.json.jbuilders ([637ad99](http://omics.dyndns.biz:4747///commit/637ad99800e7a76632e82620be1f2146db08e27f))

### [0.1.23](http://omics.dyndns.biz:4747///compare/v0.1.22...v0.1.23) (2020-09-28)


### Bug Fixes

* updated logo ([a44386a](http://omics.dyndns.biz:4747///commit/a44386aeea3bb5f6ff578af5ab86fd46d8a870ec))

### [0.1.22](http://omics.dyndns.biz:4747///compare/v0.1.21...v0.1.22) (2020-08-26)

### [0.1.21](http://omics.dyndns.biz:4747///compare/v0.1.20...v0.1.21) (2020-08-26)

### [0.1.20](http://omics.dyndns.biz:4747///compare/v0.1.19...v0.1.20) (2020-08-26)

### [0.1.19](http://omics.dyndns.biz:4747///compare/v0.1.18...v0.1.19) (2020-08-26)

### [0.1.18](http://omics.dyndns.biz:4747///compare/v0.1.17...v0.1.18) (2020-08-26)

### [0.1.17](http://omics.dyndns.biz:4747///compare/v0.1.16...v0.1.17) (2020-08-25)


### Bug Fixes

* changed name from hub to rx_alerting in package.json ([624dae9](http://omics.dyndns.biz:4747///commit/624dae91cebde8fb75b557627be4f9b41f6e3805))

### [0.1.16](http://omics.dyndns.biz:4747///compare/v0.1.15...v0.1.16) (2020-08-25)

### [0.1.15](http://omics.dyndns.biz:4747///compare/v0.1.12...v0.1.15) (2020-08-25)

### [0.1.12](http://omics.dyndns.biz:4747///compare/v0.1.5...v0.1.12) (2020-08-17)


### Features

* add mssql support ([9040ee5](http://omics.dyndns.biz:4747///commit/9040ee5b543551b918e83ca77c17bf2b9314d2ed))


### Bug Fixes

* removed unnecessary print logs ([44b49fd](http://omics.dyndns.biz:4747///commit/44b49fdf2d68bca8149bdad05dc5c043287d9a97))
* updated .env.sample ([cfb997d](http://omics.dyndns.biz:4747///commit/cfb997d386da9780a113d638021202af344e7ea0))

### [0.1.11](http://omics.dyndns.biz:4747///compare/v0.1.10...v0.1.11) (2020-07-22)

### [0.1.10](http://omics.dyndns.biz:4747///compare/v0.1.9...v0.1.10) (2020-07-22)

### [0.1.9](http://omics.dyndns.biz:4747///compare/v0.1.8...v0.1.9) (2020-07-22)


### Features

* add mssql support ([9040ee5](http://omics.dyndns.biz:4747///commit/9040ee5b543551b918e83ca77c17bf2b9314d2ed))

### [0.1.8](http://omics.dyndns.biz:4747///compare/v0.1.7...v0.1.8) (2020-06-07)

### [0.1.7](http://omics.dyndns.biz:4747///compare/v0.1.6...v0.1.7) (2020-06-04)


### Bug Fixes

* updated .env.sample ([cfb997d](http://omics.dyndns.biz:4747///commit/cfb997d386da9780a113d638021202af344e7ea0))

### [0.1.6](http://omics.dyndns.biz:4747///compare/v0.1.5...v0.1.6) (2020-06-02)

### [0.1.5](http://omics.dyndns.biz:4747///compare/v0.1.4...v0.1.5) (2020-04-15)

### [0.1.4](http://omics.dyndns.biz:4747///compare/v0.1.3...v0.1.4) (2020-04-13)


### Features

* added heartbat and fixed rule form validations ([701f457](http://omics.dyndns.biz:4747///commit/701f45773051682b7e4b727713b6bd8e8e5ff6bb))


### Bug Fixes

* compressed multiple emails for each machine under the same rule into one ([1e4b406](http://omics.dyndns.biz:4747///commit/1e4b4064ddf7d69bb3156e6bc5b7f8f98f1c0185))
* removed comments ([75e46ea](http://omics.dyndns.biz:4747///commit/75e46eaee86015f09086eb51b20d0e5148ed2e8a))

### [0.1.3](http://omics.dyndns.biz:4747///compare/v0.1.2...v0.1.3) (2020-04-09)


### Features

* added machines from mes api ([02ac15f](http://omics.dyndns.biz:4747///commit/02ac15f9d3e84087bd8d87ccd66578e1dea036dd))
* Sending alert email ([ef91724](http://omics.dyndns.biz:4747///commit/ef9172403959d40937c62aab9af583c5881ebe01))


### Bug Fixes

* machine status not saving ([aae3917](http://omics.dyndns.biz:4747///commit/aae39177e544769a1701f37856d2c7dde1b60917))
* Page crashing when data hasn't finished loading ([8194efe](http://omics.dyndns.biz:4747///commit/8194efe779ef1606d9b6ffe6ac880d748de50332))

### [0.1.2](http://omics.dyndns.biz:4747///compare/v0.1.1...v0.1.2) (2020-03-20)


### Features

* added mes machine group and machine tables ([f231b5c](http://omics.dyndns.biz:4747///commit/f231b5c91a184d753df2f447b53479a89cdd63b0))
* added recipient selects ([b675691](http://omics.dyndns.biz:4747///commit/b675691bba81b513f5f73907b379b11d7b634a1c))
* rules recipients now saves ([7abc0b5](http://omics.dyndns.biz:4747///commit/7abc0b59613ca8fd7cacd2c99366f5f5bfed70d6))


### Bug Fixes

* combined local and hub user fields in the rules form ([0ccadd6](http://omics.dyndns.biz:4747///commit/0ccadd6c95b1385901e258f8f31bffc6fd42f407))
* combined the users and hub users to one input in the group form ([080ade9](http://omics.dyndns.biz:4747///commit/080ade9d57913bbda334b386a20a6bfdb8562ccb))
* fixed rules not saving the rule id for the rule_machines table and the on_by default checkbox not saving ([f730c4e](http://omics.dyndns.biz:4747///commit/f730c4eda0e23eada441f02f0d97981c24a6a896))
* local users not being retrieved when editing a group ([e46aa38](http://omics.dyndns.biz:4747///commit/e46aa38f008a135d4274b60e2682711b1a649c85))
* made one component for the local and hub users select ([2181162](http://omics.dyndns.biz:4747///commit/218116250f468d979c19c3f214955dd128380c11))
* page crashing when hub users are not loaded ([acf1ca6](http://omics.dyndns.biz:4747///commit/acf1ca69773fb26b7707fd2257deed90644731b0))

### 0.1.1 (2020-03-12)


### Features

* add validation to app store ([c8b0902](http://omics.dyndns.biz:4747///commit/c8b09027a5bb12f5e809b5db122849bb6fb4b6a0))
* both hub users and local users now save to the groups ([54cb6b8](http://omics.dyndns.biz:4747///commit/54cb6b819151168848852cf3b225d8f8fd22db84))
* created alerting_rules table and migration and wrote the data stores for hte module. ([fd0f5c5](http://omics.dyndns.biz:4747///commit/fd0f5c5d2423e35edc5cb53d2344fbdabc38c1a2))
* frontend changes; added Users, Groups and Rules Bread Model and forms ([1857cfc](http://omics.dyndns.biz:4747///commit/1857cfc29c42cfc3269dd122cb6a3950f7b96c99))
* groups now save with users to 'user_groups' join table ([2a6f822](http://omics.dyndns.biz:4747///commit/2a6f822cb31f8b3aa38d278f52cdfa1466a68627))
* hot module replacement ([5e1e6e6](http://omics.dyndns.biz:4747///commit/5e1e6e6324021591cdcf3033d1204ca49926eb36))
* Start integrating with rx_module gem ([a920eb3](http://omics.dyndns.biz:4747///commit/a920eb30359f5c0268154b16a3873714e18d5c02))
* translations ([9251ef9](http://omics.dyndns.biz:4747///commit/9251ef9648c414bad1b4258f23965aad9def4692))
* use babel for typescript, update [@rx-suite](http://omics.dyndns.biz:4747/rx-suite) deps ([6895f00](http://omics.dyndns.biz:4747///commit/6895f00644eb4aac78c505fa9eaa5d374a33945e))


### Bug Fixes

* added inputs for the rules form ([5e81d5a](http://omics.dyndns.biz:4747///commit/5e81d5a4f66a1a8bde9d6df41385a907c1d5dd71))
* added models and migrations ([7bd67c6](http://omics.dyndns.biz:4747///commit/7bd67c693e6fec200a56b344fbd369ea58fe00d1))
* added prvate to controller ([7d5f4a4](http://omics.dyndns.biz:4747///commit/7d5f4a4f6fd310ab19b0cca7c1129f85f7b0b7e1))
* allowed rails to serve static files in production, removed config/master.key in .gitignore file, changed webpack/production.js and added dev standard version to yarn ([19a35a9](http://omics.dyndns.biz:4747///commit/19a35a9a72099842673963fc7ba0956ebb55a8a4))
* changed module name to Alerting ([7d167e8](http://omics.dyndns.biz:4747///commit/7d167e862cf21fe9b6870e75922fd8fffa8f44be))
* controller tests with rx_module ([610d3f9](http://omics.dyndns.biz:4747///commit/610d3f93501a063127b2061a1af63a311b45f20a))
* created build ([e6d1533](http://omics.dyndns.biz:4747///commit/e6d1533e83a063643ffe8ec84b85c3b5ecc7682b))
* created user_groups table and fixed forms ([75d3b59](http://omics.dyndns.biz:4747///commit/75d3b59915282fb8dea21f6b748de463a2a3cb00))
* fixed input label ([158d04c](http://omics.dyndns.biz:4747///commit/158d04c69175bc066473d11d2af2e4a08ebc185c))
* Get default document title from RxModule config ([8a0431f](http://omics.dyndns.biz:4747///commit/8a0431f539c5a0383c1d94888f2458a101c0eca2))
* hub users id save and update in the hub_users table ([1f0ac98](http://omics.dyndns.biz:4747///commit/1f0ac98524bcf176f73ada9fcbd2223abb469658))
* include missing file ([04ef77e](http://omics.dyndns.biz:4747///commit/04ef77e51522aa7d78c7d6eb97a8aad1e845219a))
* made email in users unique and fixed groups page crashing ([be6fc76](http://omics.dyndns.biz:4747///commit/be6fc76dd8be8d1e19426f406e0d3cd85016ea32))
* re-add rx-suite/ui translations ([4316ad3](http://omics.dyndns.biz:4747///commit/4316ad39db8edcfc1e14d7c181eb278d7ba25df7))
* recreated model, views and controllers using scaffold generator ([0f29557](http://omics.dyndns.biz:4747///commit/0f2955730208bc556aadd3c4917065a7114041bb))
* remove Api namespace ([cb105e4](http://omics.dyndns.biz:4747///commit/cb105e4546aa41f0c00bde1b606cc714b2813faf))
* remove hub apps controller ([7a2f6ba](http://omics.dyndns.biz:4747///commit/7a2f6ba06905ef4e3189e52cb9ad123bae64e43c))
* remove rx-suite/ui from translations ([3e76fc1](http://omics.dyndns.biz:4747///commit/3e76fc129eb1de00eada61940716ec8343415ab9))
* type app model ([5ee2e15](http://omics.dyndns.biz:4747///commit/5ee2e158ce90d53278ae5b322103490ac288666b))
* use babel for typescript ([8a9b842](http://omics.dyndns.biz:4747///commit/8a9b842362e2982ca608e3e4fbfbf9271639366a))
* Users and Rules now save properly ([11f80bb](http://omics.dyndns.biz:4747///commit/11f80bb42a1653ce562d9346b434472aa641aaab))
