class SettingsController < ApplicationController
  model_data_store(Setting, {read: true, update: true, index: true, create: false}, {read: true, update: true, index: false, create: false})

  def before_set_target
    @model = Setting.instance
  end

  private

  # Only allow a list of trusted parameters through.
  def model_params
    params.require(:setting).permit(:acknowledge_alert_after)
  end
end
