import * as React from 'react';
import {observer} from "mobx-react-lite";
import {FormProps, ModelForm, ModelInput} from "@rx-suite/ui";

export const AlertingEmailForm: React.FunctionComponent<FormProps> = observer(({model}) => {
    return (
        <ModelForm model={model} suppressMakeCopy suppressImportExport suppressWrapper>
            <ModelInput name={"name"}/>
            <ModelInput name={"email"}/>
        </ModelForm>
    )
});
