RxModule.configure do |config|
  config.audit = false
  config.module_id = "rx_alerting"
  config.module_name = "Rx-Alerting"
  config.rx_hub_url = ENV["RX_HUB_URL"]
  config.module_description = "Sends alerts to assigned users or user groups"
  config.module_icon = Rails.root.join("public", "icon.svg")
  config.module_logo = Rails.root.join("public", "Rx-Alerting_Logo.png")
  config.disable_worker_broadcasts = true
  config.mes_logo = Rails.root.join("public", "mes-logo.png")
  config.module_version = File.open(Rails.root.join("package.json")) do |f|
    JSON.load(f, nil, {create_additions: false, symbolize_names: true})[:version]
  end
end
