class CreateAlertRecipient < ActiveRecord::Migration[6.0]
  def change
    create_table :alert_recipients do |t|
      t.belongs_to :alert_rule, null: false, foreign_key: {on_delete: :cascade}
      t.string :target_id
      t.references :recipient_target, polymorphic: true, index: { name: 'index_recipient_target_type_id' }
    end
  end
end
