class CheckRules < RxModule::Routine
  class << self
    def frequency
      "2m"
    end

    def work
      Rails.logger.info "[Rule Executor] Checking for stale alerts"

      Alert.acknowledge_stale
      Rails.logger.info "[Rule Executor] Fetching Rx-Hub Users"
      ExternalDataCache::RxHub.instance.users
      Rails.logger.info "[Rule Executor] Checking for new alerts"
      Alert.ensure_email_enabled
      Rails.logger.warn "[Rule Executor] EMAILS FOR THIS MODULE ARE DISABLED. ONLY GENERATING LOCAL ALERTS." if Alert.local_only?
      AlertRule.execute_all
      Rails.logger.info "[Rule Executor] Completed Alert Check"
    end
  end
end
