class CreateMachineAlertRules < ActiveRecord::Migration[6.0]
  def change
    create_table :machine_alert_rules do |t|
      t.belongs_to :alert_rule, null: false, foreign_key: {on_delete: :cascade}
      t.integer :trigger_type
      t.string :trigger_states
      t.integer :trigger_duration
      t.timestamps
    end
  end
end
